%define req_gedit_version 2.20
Summary:		Extra plugins for gedit
Name:			gedit-plugins
Version:		2.22.0
Release:		%mkrel 1
License:		GPL
Group:			Editors 
Source0:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:			http://gedit.pn.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python-desktop
BuildRequires:	libgnomeui2-devel
BuildRequires:  gedit-devel >= %{req_gedit_version}
BuildRequires:  gnome-doc-utils
BuildRequires:	gucharmap-devel
BuildRequires:	python-vte
BuildRequires:  python-gtksourceview-devel
Requires:	gedit >= %{req_gedit_version}
Requires:	python-vte

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins/*.la

%define gettext_package %{name}
%{find_lang} %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gedit-show-tabbar-plugin.schemas > /dev/null
fi

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS
%_sysconfdir/gconf/schemas/gedit-show-tabbar-plugin.schemas
%{_libdir}/gedit-2/plugins/*.glade
%{_libdir}/gedit-2/plugins/*.so
%{_libdir}/gedit-2/plugins/*.gedit-plugin
%{_libdir}/gedit-2/plugins/*.py*
%{_libdir}/gedit-2/plugins/sessionsaver/


%changelog
* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183684
- new version
- bump deps

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20.0-3mdv2008.1
+ Revision: 178727
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-1mdv2008.0
+ Revision: 94120
- Fix BuildRequires

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch 0

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 92480
- Update patch0 to fix build with gedit 2.20

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 78818
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2008.0
+ Revision: 49787
- fix gtksourceview dep


* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 146504
- new version
- update file list

* Tue Feb 20 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 123027
- fix buildrequires
- new version
- update file list
- bump deps

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 121699
- rebuild for new gucharmap

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 108360
- Import gedit-plugins

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
- New version 2.17.1

* Sat Sep 09 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- New release 2.15.5

* Mon Aug 14 2006 Emmanuel Andry <eandry@mandriva.org> 2.15.4-2mdv2007.0
- rebuild for libgucharmap

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1
- New release 2.15.4

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- fix URL
- New release 2.15.3

* Fri Jun 09 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.2-4
- add BuildRequires: libgucharmap-devel

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-3mdv2007.0
- Add missing dependencies for terminal plugin

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Back from the deads (notice the date ;)
- Release 2.15.2

